Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8317 - lack of bounds checking in man
Summary: lack of bounds checking in man
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-10 04:18 UTC by lumpy_
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-18 13:11:35 UTC


Attachments (Terms of Use)

Description lumpy_ 2000-01-10 04:18:59 UTC
lame buffer overflow exists with the -P command line
argument for the man program, which is apparently
installed set-gid "man".

Comment 1 Bernhard Rosenkraenzer 2000-01-18 13:11:59 UTC
Please be a bit more specific - I don't see an overflow there.
-P uses my_strdup, which allocates exactly as much space as it needs.
Feel free to re-open this bug if you thing I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.